<template>
  <div class="portfolio-container">
    <h1>Портфель</h1>
    <div class="user-profile section">
      <div class="photo-wrapper">
        <img src="@/../public/assets/images/default-photo.webp" alt="Avatar">
      </div>
      <div class="contacts">
        <h2>Имя пользователя</h2>
        <h3>E-mail: useremail@email.ru</h3>
      </div>
    </div>
    <div v-if="coins.length >= 10" class="coins section">
      <div v-for="index in 10" class="coin-card">
        <div class="coin-name">
          <img :src="coins[index].image" :alt="coins[index].name" style="width: 2rem" class="me-2" />
          <span>{{ coins[index].name }}</span>
        </div>
        <div class="coin-amount">
          <span>{{ Math.round(Math.random() * 100) / 10 }}</span>
          <span class="ms-2 text-muted text-uppercase">{{ coins[index].symbol }}</span>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Portfolio',
  data() {
    return {
      coins: [],
    };
  },
  async mounted() {
    const res = await fetch(
        "https://api.coingecko.com/api/v3/coins/markets?vs_currency=usd&order=market_cap_desc&per_page=100&page=1&sparkline=false", {
          method: 'GET',
          headers: {
            accept: 'application/json',
          },
        });
    this.coins = await res.json();
  },
}
</script>

<style scoped>
.portfolio-container {
    margin: 0 10%;
}

.section {
  padding: 0 0 2rem 0;
  border-bottom: 1px solid var(--light-color);
  margin-bottom: 2rem;
}

h1 {
  text-align: left;
}

h2 {
  text-align: left;
  margin-bottom: 1rem;
}

h3 {
  text-align: left;
  margin-bottom: 1rem;
}

.user-profile {
  display: flex;
  flex-direction: row;
  justify-content: left;
}

.photo-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  height: 30vh;
  width: 30vh;
  max-height: 30vh;
  max-width: 30vh;
  aspect-ratio: 1 / 1;
}

.photo-wrapper img {
  height: 100%;
  max-height: 100%;
  object-fit: cover;
  object-position: center;
}

.contacts {
  padding: 1rem 2rem;
}

.coins {
  display: grid;
  justify-items: center;
  grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
  gap: 2rem;
}

.coin-card {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 1rem;
  border: 1px solid var(--grey-color);
  border-radius: 1rem;
}

.coin-name {
  display: flex;
  width: 15rem;
  justify-content: left;
  align-items: center;
}

.coin-amount {
  display: flex;
  width: 5rem;
  justify-content: right;
  align-items: center;
}

@media (max-width: 768px) {
  .user-profile {
    flex-direction: column;
  }

  .contacts {
    padding: 1rem 0;
  }
}
</style>